
// // // //
// Рисователь. Поддержка портретного режима
// // // //

ИзменитьРазмерРисователя = мир =>
{
    var ширина = window.innerWidth * мир.масштаб;
    var высота = window.innerHeight * мир.масштаб;
    var отношение = ширина / высота;
    
    // Портрет.
    if (отношение < 1)
    {
        мир.высотаОкна = высота;
        мир.высотаОкнаПроц = 100;
        мир.ширинаОкна = высота * 1.5;
        мир.ширинаОкнаПроц = мир.ширинаОкна * 100 / ширина;
        // Уведомляем.
        мир.ориентацияПортретная = true;
        мир.уведомить("изменили ориентацию");
    }
    // Ландшафт.
    else
    {
        мир.ширинаОкна = window.innerWidth * мир.масштаб;
        мир.высотаОкна = window.innerHeight * мир.масштаб;
        мир.ширинаОкнаПроц = мир.масштаб * 100;
        мир.высотаОкнаПроц = мир.масштаб * 100;
        // Уведомляем.
        мир.ориентацияПортретная = false;
        мир.уведомить("изменили ориентацию");
    }
};